package ac.ed.lurg.country.gams;

import java.util.Map;

import ac.ed.lurg.country.SingleCountry;
import ac.ed.lurg.types.CommodityType;

public class GamsDemandInput {
	private SingleCountry country;
	private int year;
	private double gdpPc;
	private Map<CommodityType, Double> prices;
	private double usaGdpPc;
	private GamsDemandOutput previousGamsDemands;
	private Map<CommodityType, Double> kcalPerT;
	
	public GamsDemandInput(SingleCountry country, int year, double gdpPc, Map<CommodityType, Double> prices,Map<CommodityType, Double> kcalPerT, double usaGdpPc, GamsDemandOutput previousGamsDemands) {
		super();
		this.country = country;
		this.year = year;
		this.gdpPc = gdpPc;
		this.prices = prices;
		this.kcalPerT = kcalPerT;
		this.usaGdpPc = usaGdpPc;
		this.previousGamsDemands = previousGamsDemands;
	}
	
	public SingleCountry getCountry() {
		return country;
	}
	public int getYear() {
		return year;
	}
	public double getGdpPc() {
		return gdpPc;
	}
	public Map<CommodityType, Double> getPrices() {
		return prices;
	}
	public double getKcalPerT(CommodityType commodity) {
		return (commodity != CommodityType.NONFOOD) ? kcalPerT.get(commodity)  : Double.NaN;
	}
	public double getUsaGdpPc() {
		return usaGdpPc;
	}
	public GamsDemandOutput getPreviousDemands() {
		return previousGamsDemands;
	}
}