package ac.ed.lurg.utils;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;

import ac.ed.lurg.Timestep;

public class FileWriterHelper {

	static public BufferedWriter getFileWriter(Timestep timestep, String file, String columnHeadings) throws IOException {
		return getFileWriter(timestep.isInitialTimestep(), false, file, columnHeadings);
	}
	
	static public BufferedWriter getFileWriter(boolean initialise, boolean addShutdownHook, String file, String columnHeadings) throws IOException {
		BufferedWriter outputFile;
		FileWriter fstream = new FileWriter(file, !initialise);
		outputFile = new BufferedWriter(fstream);
		
		if (initialise) {
			outputFile.write(columnHeadings);
			outputFile.newLine();
		
			if (addShutdownHook) {
		 		Runtime.getRuntime().addShutdownHook(new Thread(new Runnable() {
					public void run() {
						try {
							outputFile.close();
						} catch (IOException e) {
							LogWriter.print(e);
						}
					}
				}));
			}
		}
		
		return outputFile;
	}
}
